%define name abuse_sdl
%define version 0.7.0
%define release alt2

Summary: The classic Crack-Dot-Com game
Name: %name
Version: %version
Release: %release
Source0: http://www.labyrinth.net.au/~trandor/files/%name-%version.tar.bz2
#Source1: http://www.labyrinth.net.au/~trandor/files/abuse_datafiles.tar.bz2
Source1: fRaBs210.tar.bz2
License: GPL
Group: Games/Arcade
Url: http://www.labyrinth.net.au/~trandor/abuse/

# Automatically added by buildreq on Tue Dec 17 2002
#BuildRequires: XFree86-devel-static XFree86-libs aalib esound freetype2 gcc-c++ glibc-devel-static libGLU-devel libSDL-devel libalsa2 libarts libaudiofile libexpat libfontconfig libslang libstdc++-devel
BuildRequires: XFree86-devel-static XFree86-libs aalib esound freetype2
BuildRequires: gcc2.96-c++ libstdc++2.96-devel
BuildRequires: glibc-devel-static libGLU-devel libSDL-devel libalsa2
BuildRequires: libarts libaudiofile libexpat libfontconfig libslang ImageMagick

%description
Abuse-SDL is a port of Abuse, the classic Crack-Dot-Com game, to the
SDL library. It can run at any color depth, in a window or fullscreen,
and it has stereo sound with sound panning.

%prep
%setup -q

%build
CC=gcc-2.96 CXX=g++-2.96 \
%configure
%make_build CC=gcc-2.96 CXX=g++-2.96

%install
%makeinstall

mkdir -p %buildroot/%_menudir
cat <<EOF >%buildroot/%_menudir/%name
?package(%name):command="%_gamesbindir/abuse" \
		  icon=%name.png \
		  needs="x11" \
		  section="Amusement/Arcade" \
		  title="Abuse"\
		  longtitle="The classic Crack-Dot-Com game"
EOF

install -d %buildroot/%_iconsdir %buildroot/%_miconsdir %buildroot/%_liconsdir
convert abuse.png %buildroot/%_iconsdir/%name.png
convert -size 48x48 abuse.png %buildroot/%_liconsdir/%name.png
convert -size 16x16 abuse.png %buildroot/%_miconsdir/%name.png

install -d %buildroot/{%_datadir/games/abuse,%_gamesbindir}
mv %buildroot/%_bindir/abuse.sdl %buildroot/%_gamesbindir
cat > %buildroot/%_gamesbindir/abuse << EOF
#!/bin/sh
cd %_datadir/games/abuse/fRaBs210
exec %_gamesbindir/abuse.sdl -datadir %_datadir/games/abuse/fRaBs210 "\$@"
EOF
chmod +x %buildroot/%_gamesbindir/abuse
cd %buildroot/%_datadir/games/abuse/
bzcat %SOURCE1 | tar xf -
rm -f fRaBs210/{*.exe,art/*.exe,*.386}
for f in `find . -type f`; do
	dir=`dirname $f`
	base=`basename $f`
	new=$dir/`echo $base | tr [A-Z] [a-z]`
	if [ $new != $f ]; then
		mv $f $new
	fi
done

cd */addon/leon
ln -s lmisc.spe Lmisc.spe

cd sfx
ln -s ambship1.wav Ambship1.wav
ln -s ambship2.wav Ambship2.wav

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS README TODO
#%_bindir/*
%_gamesbindir/*
%_menudir/*
%_gamesdatadir/abuse
%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png

%changelog
* Thu Jan 09 2003 Sergey V Turchin <zerg@altlinux.ru> 0.7.0-alt2
- fix BuildRequires

* Tue Dec 17 2002 Sergey V Turchin <zerg@altlinux.ru> 0.7.0-alt1
- new version
- build with gcc2.96

* Wed Oct 23 2002 Sergey V Turchin <zerg@altlinux.ru> 0.6.1-alt2
- rebuild with gcc3.2

* Fri Feb 08 2002 Sergey V Turchin <zerg@altlinux.ru> 0.6.1-alt1
- new version

* Mon Jan 21 2002 Sergey V Turchin <zerg@altlinux.ru> 0.6.0-alt1
- new version

* Tue Sep 04 2001 Sergey V Turchin <zerg@altlinux.ru> 0.5.0-alt1
- new version

* Thu May  3 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4.8-2mdk
- corrected badly lowercased files

* Tue May  1 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4.8-1mdk
- first version
